/* 
    This file is a part of the SteamWar software.
    
    Copyright (C) 2020  SteamWar.de-Serverteam

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

package de.steamwar.velocitycore.commands;

import de.steamwar.velocitycore.discord.DiscordBot;
import de.steamwar.command.SWCommand;
import de.steamwar.messages.Chatter;
import de.steamwar.sql.UserPerm;

public class AlertCommand extends SWCommand {

    public AlertCommand() {
        super("alert", UserPerm.MODERATION, "broadcast", "bbc");
    }

    @Register(description = "USAGE_ALERT")
    public void broadcast(Chatter sender, @OptionalValue("") @StaticValue("-discord") String sendToDiscord, String... message) {
        if (message.length == 0) {
            sender.system("USAGE_ALERT");
            return;
        }

        String s = String.join(" ", message);
        Chatter.broadcast().system("ALERT", s.replace('&', '§'));

        if ("-discord".equals(sendToDiscord))
            DiscordBot.withBot(bot -> bot.getAnnouncementChannel().send(s));
    }
}
